org.apache.pdfbox.pdmodel.graphics.color

## Class PDCIEBasedColorSpace

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace
  - - org.apache.pdfbox.pdmodel.graphics.color.PDCIEBasedColorSpace

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDCIEDictionaryBasedColorSpace, PDICCBased

    public abstract class PDCIEBasedColorSpace
    extends PDColorSpace

CIE-based colour spaces specify colours in a way that is independent of the characteristics of any particular output device. They are based on an international standard for colour specification created by the Commission Internationale de l'Éclairage (CIE).

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`array`

### Constructor Summary

Constructors
Constructor and Description
`PDCIEBasedColorSpace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BufferedImage` `toRawImage(WritableRaster raster)` Returns the image in this colorspace or null.
`BufferedImage` `toRGBImage(WritableRaster raster)` Returns the (A)RGB equivalent of the given raster.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`create, create, create, getCOSObject, getDefaultDecode, getInitialColor, getName, getNumberOfComponents, toRawImage, toRGB, toRGBImageAWT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDCIEBasedColorSpace

    public PDCIEBasedColorSpace()

### Method Detail

#### toRGBImage

    public BufferedImage toRGBImage(WritableRaster raster)
                             throws IOException

Description copied from class: `PDColorSpace`
Returns the (A)RGB equivalent of the given raster.

Specified by:
  `toRGBImage` in class `PDColorSpace`
Parameters:
  `raster` - the source raster
Returns:
  an (A)RGB buffered image
Throws:
  `IOException` - if the color conversion fails

#### toRawImage

    public BufferedImage toRawImage(WritableRaster raster)
                             throws IOException

Description copied from class: `PDColorSpace`
Returns the image in this colorspace or null. No conversion is performed. For special colorspaces like PDSeparation the image is returned in the gray colorspace. For undefined colorspaces like DeviceCMYK/DeviceRGB and DeviceGray null is returned. You can always fallback to `PDColorSpace.toRGBImage(WritableRaster)` if this returns null.

Specified by:
  `toRawImage` in class `PDColorSpace`
Parameters:
  `raster` - the source raster
Returns:
  an buffered image in this colorspace. Or null if it is not possible to extract that image with the original colorspace without conversion.
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`